Page MenuHomePhabricator

Disable -Wnoexcept-type wholesale
ClosedPublic

Authored by kimgr on Aug 12 2018, 8:21 AM.

Details

Summary

-Wnoexcept-type under GCC triggers false positives if a nothrow function is called through a template argument.
See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=80985 for details.

Several low-level constructs in LLVM take predicates by template-arg and the warning appears to be triggered by
all GNU libc character classification functions, for example.

The LLVM libraries have no stable C++ API, so the warning is not useful.

Diff Detail

Repository
rL LLVM

Event Timeline

kimgr created this revision.Aug 12 2018, 8:21 AM
kimgr edited the summary of this revision. (Show Details)Aug 20 2018, 1:39 PM
thakis accepted this revision.Aug 22 2018, 11:52 AM
This revision is now accepted and ready to land.Aug 22 2018, 11:52 AM

Thanks! Could you also commit this for me?

Might be worth mentioning https://gcc.gnu.org/bugzilla/show_bug.cgi?id=80985 in the commit message -- seems to capture exactly this usage.

kimgr edited the summary of this revision. (Show Details)Aug 31 2018, 1:58 AM

@thakis I updated the Title/Summary to what I think is a reasonable commit message. Could you commit this for me? Thanks!

kimgr added a comment.Sep 3 2018, 3:26 AM

This appears ready to go, here's a weekly commit ping.

aaron.ballman closed this revision.Sep 4 2018, 5:04 AM
aaron.ballman added a subscriber: aaron.ballman.

I've commit in r341361, thank you for the patch!